"use strict";
const globalBinPath = require("global-bin-path");
const path = require("path");
const pnpm_logger_1 = require("pnpm-logger");
const cache_1 = require("./cache");
const DEFAULT_GLOBAL_PATH = path.join(globalBinPath(), 'pnpm-global');
const defaults = () => ({
    fetchRetries: 2,
    fetchRetryFactor: 10,
    fetchRetryMintimeout: 1e4,
    fetchRetryMaxtimeout: 6e4,
    storePath: '~/.pnpm-store',
    cachePath: cache_1.CACHE_PATH,
    globalPath: DEFAULT_GLOBAL_PATH,
    ignoreScripts: false,
    linkLocal: false,
    strictSsl: true,
    tag: 'latest',
    production: process.env.NODE_ENV === 'production',
    cwd: process.cwd(),
    nodeVersion: process.version,
    force: false,
    depth: 0,
    cacheTTL: 60 * 60 * 24,
    engineStrict: false,
});
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (opts) => {
    const extendedOpts = Object.assign({}, defaults(), opts);
    if (extendedOpts.force) {
        pnpm_logger_1.default.warn('using --force I sure hope you know what you are doing');
    }
    return extendedOpts;
};
//# sourceMappingURL=extendOptions.js.map